Package org.apache.solr.client.solrj.request.beans

## Class Package.AddVersion

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.Package.AddVersion

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`

Enclosing class:
  Package

    public static class Package.AddVersion
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`List<String>` `files`
`String` `manifest`
`String` `manifestSHA512`
`String` `pkg`
`String` `version`

### Constructor Summary

Constructors
`AddVersion()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### pkg

    public String pkg

#### version

    public String version

#### files

    public List<String> files

#### manifest

    public String manifest

#### manifestSHA512

    public String manifestSHA512

### Constructor Detail

#### AddVersion

    public AddVersion()